# I. INTRODUCTION
`ai_artist` made generating images easy using the Stable Diffusion AI model.

<div id="badges" align="center">
<img src="https://img.shields.io/pypi/pyversions/ai_artist?logoColor=brown&style=plastic" alt= "Version"/>
<img src="https://img.shields.io/pypi/dm/ai_artist" alt="Download Badge"/>
<img src="https://img.shields.io/github/last-commit/thinh-vu/ai_artist" alt="Commit Badge"/>
<img src="https://img.shields.io/github/license/thinh-vu/ai_artist?color=red" alt="License Badge"/>
</div>

# II. REFERENCES
## 2.1. First thing first
### Install dependencies

```
!pip install transformers
!pip install diffusers
```

### Get HuggingFace API key
Generate a token key with read permission. Read the doc [here](https://huggingface.co/docs/hub/security-tokens)

### Google Colab is highly recommended
Go to the Google Colab menu: Select `Runtime` > `Change runtime type` and make sure that `GPU` has been chosen. You can run this AI model way faster with GPU on Google Colab than the normal CPU or your personal computer.

![gpu_setting](./src/Google%20Colab%20runtime%20GPU.png)

## 2.2. How to install this package?
Run this command in the terminal `!pip install git+https://github.com/thinh-vu/ai_artist.git@main`
_(*) You might need to insert a `!` before your command when running terminal commands on Google Colab._

## Function references


# III. APENDICES
- Stable Diffusion on Github: [here](https://github.com/CompVis/stable-diffusion)
- Stable Diffusion prompt guide and examples [here](https://strikingloo.github.io/stable-diffusion-vs-dalle-2)

# IV. 🙋‍♂️ CONTACT INFORMATION

<div id="badges" align="center">
  <a href="https://www.linkedin.com/in/thinh-vu">
    <img src="https://img.shields.io/badge/LinkedIn-blue?style=for-the-badge&logo=linkedin&logoColor=white" alt="LinkedIn Badge"/>
  </a>
  <a href="https://www.messenger.com/t/mr.thinh.ueh">
    <img src="https://img.shields.io/badge/Messenger-00B2FF?style=for-the-badge&logo=messenger&logoColor=white" alt="Messenger Badge"/>
  <a href="https://www.youtube.com/channel/UCYgG-bmk92OhYsP20TS0MbQ">
    <img src="https://img.shields.io/badge/YouTube-red?style=for-the-badge&logo=youtube&logoColor=white" alt="Youtube Badge"/>
  </a>
  </a>
    <a href="https://github.com/thinh-vu">
    <img src="https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white" alt="Github Badge"/>
  </a>
</div>

---

If you want to support my open-source projects, you can "buy me a coffee" via [Patreon](https://patreon.com/thinhvu?utm_medium=clipboard_copy&utm_source=copyLink&utm_campaign=creatorshare_creator) or Momo e-wallet (VN). Your support will help to maintain my blog hosting fee & to develop high-quality content.

![momo-qr](https://github.com/thinh-vu/vnstock/blob/main/src/momo-qr-thinhvu.jpeg?raw=true)

